Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.protocol.resource
Class ResourceURLConnection

    java.lang.Object
      java.net.URLConnection
          org.jboss.net.protocol.DelegatingURLConnection
              org.jboss.net.protocol.resource.ResourceURLConnection

public class ResourceURLConnection
extends DelegatingURLConnection

Provides access to system resources as a URLConnection.

Version:
  `$Revision: 1.4 $`
Author:
  Jason Dillon, Scott.Stark@jboss.org

Field Summary

Fields inherited from class org.jboss.net.protocol.DelegatingURLConnection
`delegateConnection, delegateUrl`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`ResourceURLConnection(URL url)`

Method Summary
`protected URL` | `makeDelegateUrl(URL url)`

Methods inherited from class org.jboss.net.protocol.DelegatingURLConnection
`connect, getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getIfModifiedSince, getInputStream, getLastModified, getOutputStream, getPermission, getRequestProperty, getURL, getUseCaches, makeDelegateUrlConnection, setAllowUserInteraction, setDefaultUseCaches, setDoInput, setDoOutput, setIfModifiedSince, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getDefaultAllowUserInteraction, getDefaultRequestProperty, getFileNameMap, getHeaderFields, getRequestProperties, guessContentTypeFromName, guessContentTypeFromStream, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setFileNameMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceURLConnection

    public ResourceURLConnection(URL url)
                          throws MalformedURLException,
                                 IOException

Method Detail

### makeDelegateUrl

    protected URL makeDelegateUrl(URL url)
                           throws MalformedURLException,
                                  IOException

  Overrides:
    `makeDelegateUrl` in class `DelegatingURLConnection`
  Throws:
    `MalformedURLException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.